/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface UtilityProps {
    headerIcon?: string;
    headerText?: string;
    noItemsMessage?: string;
}
export declare class UtilityComponent implements OnInit, OnChanges {
    private utils;
    pConn$: typeof PConnect;
    configProps$: UtilityProps;
    headerIcon$?: string;
    headerText$?: string;
    headerIconUrl$?: string;
    noItemsMessage$?: string;
    constructor(utils: Utils);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UtilityComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UtilityComponent, "app-utility", never, { "pConn$": { "alias": "pConn$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
