/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import * as i0 from "@angular/core";
interface MultiReferenceReadOnlyProps {
    label: string;
    hideLabel: boolean;
}
export declare class MultiReferenceReadonlyComponent implements OnInit, OnDestroy {
    private angularPConnect;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    configProps$: MultiReferenceReadOnlyProps;
    label: string;
    constructor(angularPConnect: AngularPConnectService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStateChange(): void;
    updateSelf(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiReferenceReadonlyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiReferenceReadonlyComponent, "app-multi-reference-readonly", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
