/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
interface SimpleTableProps {
    multiRecordDisplayAs: string;
    contextClass: any;
    visibility: boolean;
    label: string;
    propertyLabel: string;
    displayMode: string;
    fieldMetadata: any;
    hideLabel: boolean;
    parameters: any;
    isDataObject: boolean;
    type: string;
    ruleClass: string;
    authorContext: string;
    name: string;
}
export declare class SimpleTableComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    bVisible$: boolean;
    configProps$: SimpleTableProps;
    fieldGroupProps: any;
    listViewProps: any;
    refToPConnect: any;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    onStateChange(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SimpleTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SimpleTableComponent, "app-simple-table", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
